---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetlocal004.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50EA0, symBinAddr: 0x6300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52DE0, symBinAddr: 0x8240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x531D0, symBinAddr: 0x8630, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54170, symBinAddr: 0x95D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54180, symBinAddr: 0x95E0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x509D0, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x509D4, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x509D8, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50B30, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50BE8, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50BEC, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50BF0, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50BF4, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50BF8, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50C00, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50C18, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50C20, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50C28, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50C30, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50C38, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50C7C, symBinAddr: 0x61AC, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x50C7D, symBinAddr: 0x61AD, symSize: 0x0 }
  - { offsetInCU: 0x90FE, offset: 0x90FE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50C80, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x9117, offset: 0x9117, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50C88, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x9130, offset: 0x9130, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50C98, symBinAddr: 0x61C8, symSize: 0x0 }
  - { offsetInCU: 0x9182, offset: 0x9182, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x13D0, symSize: 0x80 }
  - { offsetInCU: 0x9217, offset: 0x9217, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1320, symSize: 0xB0 }
  - { offsetInCU: 0x9272, offset: 0x9272, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1220, symSize: 0x100 }
  - { offsetInCU: 0x9505, offset: 0x9505, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1450, symSize: 0x220 }
  - { offsetInCU: 0x96EA, offset: 0x96EA, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1670, symSize: 0xA0 }
  - { offsetInCU: 0x979D, offset: 0x979D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1710, symSize: 0x110 }
  - { offsetInCU: 0x9893, offset: 0x9893, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1820, symSize: 0x150 }
  - { offsetInCU: 0x99C4, offset: 0x99C4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1970, symSize: 0x30 }
  - { offsetInCU: 0x9AA5, offset: 0x9AA5, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x19A0, symSize: 0x150 }
  - { offsetInCU: 0x9C9D, offset: 0x9C9D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1AF0, symSize: 0x160 }
  - { offsetInCU: 0x9E29, offset: 0x9E29, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1C50, symSize: 0x1B0 }
  - { offsetInCU: 0xA044, offset: 0xA044, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1E00, symSize: 0xA0 }
  - { offsetInCU: 0xA113, offset: 0xA113, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1EA0, symSize: 0x20 }
  - { offsetInCU: 0xA14A, offset: 0xA14A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1EC0, symSize: 0x20 }
  - { offsetInCU: 0xA181, offset: 0xA181, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1EE0, symSize: 0x20 }
  - { offsetInCU: 0xA334, offset: 0xA334, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1F00, symSize: 0x1A0 }
  - { offsetInCU: 0xA65A, offset: 0xA65A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x20A0, symSize: 0x80 }
  - { offsetInCU: 0xA723, offset: 0xA723, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2120, symSize: 0x6A0 }
  - { offsetInCU: 0xB2B8, offset: 0xB2B8, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA2B0, symBinAddr: 0x3560, symSize: 0xB0 }
  - { offsetInCU: 0xB32F, offset: 0xB32F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x27C0, symSize: 0x70 }
  - { offsetInCU: 0xB417, offset: 0xB417, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2830, symSize: 0xA0 }
  - { offsetInCU: 0xB542, offset: 0xB542, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x28D0, symSize: 0x40 }
  - { offsetInCU: 0xB638, offset: 0xB638, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2910, symSize: 0x2B0 }
  - { offsetInCU: 0xB9DE, offset: 0xB9DE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2BC0, symSize: 0xC0 }
  - { offsetInCU: 0xBB24, offset: 0xBB24, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2C80, symSize: 0x10 }
  - { offsetInCU: 0xBBE6, offset: 0xBBE6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2C90, symSize: 0x220 }
  - { offsetInCU: 0xBEE3, offset: 0xBEE3, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x2EB0, symSize: 0x10 }
  - { offsetInCU: 0xBF40, offset: 0xBF40, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x2EC0, symSize: 0x170 }
  - { offsetInCU: 0xC10D, offset: 0xC10D, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D80, symBinAddr: 0x3030, symSize: 0x10 }
  - { offsetInCU: 0xC32B, offset: 0xC32B, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0x9D90, symBinAddr: 0x3040, symSize: 0x440 }
  - { offsetInCU: 0xC83C, offset: 0xC83C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetLocalVariable_setlocal004_getReady, symObjAddr: 0xA1D0, symBinAddr: 0x3480, symSize: 0xD0 }
  - { offsetInCU: 0xC96C, offset: 0xC96C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetLocalVariable_setlocal004_getRes, symObjAddr: 0xA2A0, symBinAddr: 0x3550, symSize: 0x10 }
  - { offsetInCU: 0xC9A1, offset: 0xC9A1, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA360, symBinAddr: 0x3610, symSize: 0x36A }
...
